## org.apache.mahout.math.hadoop.stochasticsvd
Class SplitPartitionedWritable.SplitGroupingComparator

    java.lang.Object
      org.apache.hadoop.io.WritableComparator
          org.apache.mahout.math.hadoop.stochasticsvd.SplitPartitionedWritable.SplitGroupingComparator

All Implemented Interfaces:
  Serializable, Comparator, org.apache.hadoop.io.RawComparator

Enclosing class:
  SplitPartitionedWritable

    public static final class SplitPartitionedWritable.SplitGroupingComparator

extends org.apache.hadoop.io.WritableComparator
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`SplitPartitionedWritable.SplitGroupingComparator()`

Method Summary
`int` `compare(Object a, Object b)`

Methods inherited from class org.apache.hadoop.io.WritableComparator
`compare, compare, compareBytes, define, get, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SplitPartitionedWritable.SplitGroupingComparator

    public SplitPartitionedWritable.SplitGroupingComparator()

Method Detail

### compare

    public int compare(Object a,
                       Object b)

  Specified by:
    `compare` in interface `Comparator`
  Overrides:
    `compare` in class `org.apache.hadoop.io.WritableComparator`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.